# PSF-LoginServer - master - net.psforever.objects.vital.projectile.ProjectileDamageModifierFunctions
PSF - LoginServer - master - net.psforever.objects.vital.projectile.ProjectileDamageModifierFunctions
Keywords: PSF LoginServer master net.psforever.objects.vital.projectile.ProjectileDamageModifierFunctions

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package vital
  Definition Classes
    objects
-  package projectile
  Definition Classes
    vital
- CometAggravated
- CometAggravatedBurn
- CustomDistanceCutoff
- DistanceDegrade
- FireballAggravatedBurn
- FlailDistanceDamageBoost
- FlakBurst
- FlakHit
- InfantryAggravatedDirect
- InfantryAggravatedDirectBurn
- InfantryAggravatedSplash
- InfantryAggravatedSplashBurn
- Lash
- MaxDistanceCutoff
- MeleeBoosted
- ProjectileDamageModifierFunctions
- ProjectileDamageModifiers
- ProjectileReason
- SpikerChargeDamage
- StarfireAggravated
- StarfireAggravatedBurn

o

net.psforever.objects.vital.projectile

# ProjectileDamageModifierFunctions

###

#### object ProjectileDamageModifierFunctions

Source
  ProjectileDamageModifierFunctions.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ProjectileDamageModifierFunctions
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def baseAggravatedBurnFormula(resolution: base.DamageResolution.Value, damageType: base.DamageType.Value)(damage: Int, data: DamageInteraction, cause: ProjectileReason): Int

   For damage application that involves aggravation of a particular damage type, calculate that damage application burn for each tick for infantry targets and produce the modified damage value.

   For damage application that involves aggravation of a particular damage type, calculate that damage application burn for each tick for infantry targets and produce the modified damage value. Infantry wearing mechanized assault exo-suits (MAX) incorporate an additional modifier. Vanilla infantry incorporate their resistance value into a slightly different calculation than usual.

   resolution

     the projectile resolution to match against

   damageType

     the damage type to find in as a component of aggravated information

   damage

     the base damage value

   data

     historical information related to the damage interaction

   returns

     the modified damage

   See also

     `AggravatedDamage`

     `ExoSuitType`

     `InfantryAggravatedDirectBurn`

     `InfantryAggravatedSplashBurn`

     `PlayerSource`

6.  def baseAggravatedFormula(resolution: base.DamageResolution.Value, damageType: base.DamageType.Value)(damage: Int, data: DamageInteraction, cause: ProjectileReason): Int

   For damage application that involves aggravation of a particular damage type, calculate that initial damage application for infantry targets and produce the modified damage value.

   For damage application that involves aggravation of a particular damage type, calculate that initial damage application for infantry targets and produce the modified damage value. Infantry wearing mechanized assault exo-suits (MAX) incorporate an additional modifier.

   resolution

     the projectile resolution to match against

   damageType

     the damage type to find in as a component of aggravated information

   damage

     the base damage value

   data

     historical information related to the damage interaction

   returns

     the modified damage

   See also

     `AggravatedDamage`

     `ExoSuitType`

     `InfantryAggravatedDirect`

     `InfantryAggravatedSplash`

     `PlayerSource`

     `ProjectileTarget.AggravatesTarget`

7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  def distanceDegradeFunction(damage: Int, data: DamageInteraction, cause: ProjectileReason): Int

   The input value degrades (lessens) the further the distance between the point of origin (`shot_origin`) and the point of encounter (`hitPos`) of its vector (projectile).

   The input value degrades (lessens) the further the distance between the point of origin (`shot_origin`) and the point of encounter (`hitPos`) of its vector (projectile). If the value is not set to degrade over any distance within its maximum distance, the value goes unmodified. If the value is encountered beyond its maximum distance, the value is zero'd.

9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
11.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
12.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
15.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
19.  def toString(): String
    Definition Classes
      AnyRef → Any
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped